SystemOrganization addCategory: #ConfigurationOfSwaUtil!

Object subclass: #ConfigurationOfSwaUtil
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSwaUtil'!

!ConfigurationOfSwaUtil class methodsFor: 'development support' stamp: 'DaleHenrichs 12/17/2010 10:23'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfSwaUtil class methodsFor: 'private' stamp: 'DaleHenrichs 11/2/2010 16:51'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfSwaUtil class methodsFor: 'private' stamp: 'DaleHenrichs 12/6/2010 13:34'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfSwaUtil class methodsFor: 'private' stamp: 'DaleHenrichs 11/4/2010 10:23'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfSwaUtil class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 11/2/2010 14:58'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSwaUtil class methodsFor: 'loading' stamp: 'DaleHenrichs 11/29/2010 15:00'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfSwaUtil class methodsFor: 'loading' stamp: 'DaleHenrichs 11/29/2010 15:00'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfSwaUtil class methodsFor: 'loading' stamp: 'DaleHenrichs 11/29/2010 15:00'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfSwaUtil class methodsFor: 'accessing' stamp: 'dkh 10/13/2009 10:36'!
project

	^self new project! !

!ConfigurationOfSwaUtil class methodsFor: 'development support' stamp: 'DaleHenrichs 1/13/2011 15:37'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfSwaUtil methodsFor: 'baselines' stamp: 'mt 11/30/2010 21:20:51.058'!
baseline100: spec

	<version: '1.0-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/SwaUtilities'.
	
		spec package: 'VB-Regex' with: [spec repository: 'http://www.squeaksource.com/Regex'].
		
		spec package: 'SwaUtil' with: [spec requires: #('VB-Regex')].
		spec group: 'default' with: #('SwaUtil'). ].! !

!ConfigurationOfSwaUtil methodsFor: 'baselines' stamp: 'mt 5/9/2011 13:31:05.002'!
baseline110: spec

	<version: '1.1-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/SwaUtilities'.
		spec package: 'SwaUtil'.
		spec group: 'default' with: #('SwaUtil')].! !

!ConfigurationOfSwaUtil methodsFor: 'baselines' stamp: 'mt 2/21/2013 17:05:15.61'!
baseline120: spec

	<version: '1.2.0-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/SwaUtilities'.
		spec package: 'SwaUtil'.
		spec group: 'default' with: #('SwaUtil'). ].! !

!ConfigurationOfSwaUtil methodsFor: 'symbolic versions' stamp: 'mt 2/21/2013 17:06:18.275'!
development: spec 
	<symbolicVersion: #development>
	
	spec for: #common version: '1.2.0'.
! !

!ConfigurationOfSwaUtil methodsFor: 'accessing' stamp: 'DaleHenrichs 11/5/2010 13:54'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSwaUtil methodsFor: 'symbolic versions' stamp: 'mt 10/8/2012 12:02:04.28'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'squeak4.x' version: '1.1.3'.! !

!ConfigurationOfSwaUtil methodsFor: 'versions' stamp: 'mt 2/5/2011 17:42:43.35'!
version100: spec

	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec package: 'SwaUtil' with: 'SwaUtil-mt.43'.
		spec package: 'VB-Regex' with: 'VB-Regex-damienpollet.17'].! !

!ConfigurationOfSwaUtil methodsFor: 'versions' stamp: 'mt 2/5/2011 17:42:40.596'!
version101: spec

	<version: '1.0.1' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec package: 'SwaUtil' with: 'SwaUtil-mt.46'.
		spec package: 'VB-Regex' with: 'VB-Regex-damienpollet.17'].! !

!ConfigurationOfSwaUtil methodsFor: 'versions' stamp: 'mt 5/9/2011 13:59:12.899'!
version110: spec

	<version: '1.1' imports: #('1.1-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec package: 'SwaUtil' with: 'SwaUtil-rkrk.64'].! !

!ConfigurationOfSwaUtil methodsFor: 'versions' stamp: 'mt 9/1/2011 20:47:15.004'!
version111: spec

	<version: '1.1.1' imports: #('1.1-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec package: 'SwaUtil' with: 'SwaUtil-mt.66'].! !

!ConfigurationOfSwaUtil methodsFor: 'versions' stamp: 'mt 1/31/2012 15:45:21.425'!
version112: spec

	<version: '1.1.2' imports: #('1.1-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec package: 'SwaUtil' with: 'SwaUtil-mt.73'].! !

!ConfigurationOfSwaUtil methodsFor: 'versions' stamp: 'mt 5/2/2012 14:37:25.711'!
version113: spec

	<version: '1.1.3' imports: #('1.1-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec package: 'SwaUtil' with: 'SwaUtil-tfel.80'].! !

!ConfigurationOfSwaUtil methodsFor: 'versions' stamp: 'mt 2/21/2013 17:04:26.726'!
version120: spec 
	
	<version: '1.2.0' imports: #('1.2.0-baseline') >

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'marcel.taeumel'.
		spec timestamp: '2/20/2013 17:00'].! !
